Name:           python-gaussian-suite
Version:        1.14.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A package for working with Gaussian input and output files

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.com/chilton-group/gaussian_suite/-/issues
Source:         %{pypi_source gaussian_suite}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'gaussian-suite' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-gaussian-suite
Summary:        %{summary}

%description -n python3-gaussian-suite %_description


%prep
%autosetup -p1 -n gaussian_suite-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-gaussian-suite -f %{pyproject_files}


%changelog
%autochangelog